Bug 1612905 - internal server error when cloud_tenants or flavors subcollection is requested on infra provider
Summary: internal server error when cloud_tenants or flavors subcollection is requeste...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.9.5
Assignee: Gregg Tanzillo
QA Contact: Martin Kourim
URL:
Whiteboard: api:rest:provider
Depends On: 1545240
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-06 13:49 UTC by Satoe Imaishi
Modified: 2018-11-05 13:59 UTC (History)
6 users (show)

Fixed In Version: 5.9.5.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1545240
Environment:
Last Closed: 2018-11-05 13:58:27 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 13:59:13 UTC

Comment 2 CFME Bot 2018-09-20 21:29:15 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:

https://github.com/ManageIQ/manageiq-api/commit/55432b631acfa970c6ac4b5e5d7f31af121d8e86
commit 55432b631acfa970c6ac4b5e5d7f31af121d8e86
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Wed Feb 14 09:40:24 2018 -0500
Commit:     Alberto Bellotti <abellotti@users.noreply.github.com>
CommitDate: Wed Feb 14 09:40:24 2018 -0500

    Merge pull request #321 from jntullo/invalid_subcollections

    Make cloud_tenants and flavors subcollections consistent with others

    (cherry picked from commit b3a2bf8fa4b125b6f5d699942a2f20cf5b3b2a1f)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1612905

 app/controllers/api/subcollections/cloud_tenants.rb | 2 +-
 app/controllers/api/subcollections/flavors.rb | 2 +-
 spec/requests/cloud_tenants_spec.rb | 12 +
 spec/requests/flavors_spec.rb | 10 +
 4 files changed, 24 insertions(+), 2 deletions(-)

Comment 5 errata-xmlrpc 2018-11-05 13:58:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.